Subject: bug#61637: 30.0.50; Fix Eglot tests that need HOME=~USER

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Feb 2023 15:02:12 +0200

> Cc: [email-masked]
> Date: Mon, 20 Feb 2023 09:22:36 +0000
> From:  "Basil L. Contovounesios" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> João Távora [2023-02-19 19:38 +0000] wrote:
> 
> > Both patches look generally good, though I haven't tested them,
> > so I'm trusting you did and they generally add robustness.
> 
> Thanks, indeed 'make check' now/still succeeds locally.
> 
> > If that's the case, go ahead and push (to emacs-29, presumably
> > since this is fixing bugs in the test suite, but master isn't that
> > bad either).
> 
> The small change in ert-x.el, and the proximity to an emacs-29 RC, are
> the reasons I wanted to double check with Eli about where these changes
> should go.
> 
> Perhaps I should split out the ert-x.el change for master, and the rest
> can go to emacs-29?

Please install on master, but please let's first discuss the solution,
as I don't like us touch the user's home directory during tests.

Thanks.